> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hub2.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Receipt

> Retrieve a sucessful or failed transfer or payment receipt



## OpenAPI

````yaml get /receipts/{id}
openapi: 3.0.0
info:
  title: Hub2 Service · Api
  description: |-
    This is the Hub2 api reference |
          Please check https://docs.hub2.io/ for the full documentation |
          Rate limits of endpoints are here : https://docs.hub2.io/en/details/limits.html.
  version: 2.149.1
  contact:
    name: Hub2
    url: https://www.hub2.io/
    email: contact@hub2.io
servers: []
security: []
tags:
  - name: Payments
    description: >-
      Best known as the PAY-IN API, it provides endpoints for merchants to
      perform Hub2 PAY-IN transactions.
  - name: Transfers
    description: >-
      Best known as the PAY-OUT API, it provides endpoints for merchants to
      perform Hub2 PAY-OUT transactions.
  - name: IRT
    description: International Remittance Transfers
  - name: Balance
    description: ''
  - name: Webhooks
    description: ''
  - name: Provisioning
    description: ''
  - name: Payment on Terminal
    description: ''
  - name: Receipt
    description: ''
  - name: Sms
    description: ''
  - name: Data
    description: ''
  - name: Compliance
    description: ''
  - name: Recipient
    description: ''
  - name: Delegation
    description: ''
  - name: Deposits
    description: ''
  - name: Payment Links
    description: ''
  - name: Submerchants
    description: ''
paths:
  /receipts/{id}:
    get:
      tags:
        - Receipt
      summary: Retrieve a Receipt
      description: Retrieve a sucessful or failed transfer or payment receipt
      operationId: ReceiptsController_getReceipt
      parameters:
        - name: id
          required: true
          in: path
          description: 'Identifier can be receiptId or transactionId (ex: TransferId)'
          schema:
            type: string
        - name: isReceiptIdentifier
          required: false
          in: query
          description: >-
            Indicate if the provided identifier is a receipt id (true) or a
            transfer or payment id (false).
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReceiptDto'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiNotFoundErrorAlias'
        '409':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInvalidRequestErrorAlias'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiInternalErrorAlias'
components:
  schemas:
    ReceiptDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the Receipt
          example: rc_z1urYtVFgEebtcj8fxp4v
        date:
          type: string
          description: >-
            Datetime in UTC timezone at which the associated transaction was
            successful.
                  Follows the [Datetime ISO](https://en.wikipedia.org/wiki/ISO_8601).
          example: '2020-10-15T12:16:26.128Z'
        description:
          type: string
          description: >-
            An arbitrary string attached to the Transfer. Mostly useful for
            displaying to user. 
        transactionId:
          type: string
          description: Unique identifier for the associated transaction
        operatorReference:
          type: string
          description: Merchant transaction number
        reference:
          type: string
          description: Customer transaction number
        customerNumber:
          type: string
          description: Customer full identifier (aka msisdn, ..)
        amount:
          type: number
          description: >-
            Amount intended to be sent to the recipient. A positive integer
            representing how much to charge in the smallest currency unit (e.g.,
            100 cents to charge €1.00 or 100 to charge FCFA100, a zero-decimal
            currency).
          example: 100
        currency:
          type: string
          description: >-
            Three-letter [ISO currency
            code](https://www.iso.org/iso-4217-currency-codes.html).
          example: XOF
        method:
          type: string
          description: The method selected to make this Transfer
          example: mobile_money
          enum:
            - mobile_money
            - bank_transfer
            - airtime
        country:
          type: string
          description: >-
            Two-letter [ISO country
            code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2). Represents
            the country where the provider selected by the customer is
            localized. 
          example: CI
        provider:
          type: string
          description: >-
            The name of the provider selected by the customer, in lowercase. The
            list of supported providers can be found at
            [/data/providers](#operation/DataController_getProviders)
          example: orange
        mode:
          type: string
          description: |-
            Mode in which this PaymentIntent exists.
                The sandbox mode can be used during the integration phase and is available as soon as the merchant account is created. No real transactions are made in this mode.
                The live mode has to be used to make real transactions.
          example: live
          enum:
            - live
            - sandbox
      required:
        - id
        - date
        - description
        - transactionId
        - operatorReference
        - reference
        - customerNumber
        - amount
        - currency
        - method
        - country
        - provider
        - mode
    ApiNotFoundErrorAlias:
      type: object
      properties:
        httpStatus:
          type: number
          description: Http status
          enum:
            - 404
          example: 404
        message:
          type: string
          description: Detailed error message which describe what happened.
          example: X not found
        error:
          type: string
          description: Error message
          example: Not found
      required:
        - httpStatus
        - message
        - error
    ApiInvalidRequestErrorAlias:
      type: object
      properties:
        httpStatus:
          type: number
          description: Http status
          enum:
            - 409
          example: 409
        type:
          type: string
          description: Error type
          example: invalid_request
        code:
          type: string
          description: Error code
          enum:
            - unsupported_action
          example: unsupported_action
        message:
          type: string
          description: Error message
          example: This action is not supported
      required:
        - httpStatus
        - type
        - code
        - message
    ApiInternalErrorAlias:
      type: object
      properties:
        type:
          type: string
          description: The type of this error.
          example: internal_error
        code:
          type: string
          description: The error code for this error.
          example:
            - internal_error
            - wrong_credentials
            - not_granted
            - live_mode_not_granted
            - invalid_sandbox_msisdn
            - invalid_url
            - orange_invalid_url
            - wrong_provider
            - override_business_name
            - do_not_override_business_name
        message:
          type: string
          description: The error message describing what happens to throw this error.
          example: An error occurred on our system. Please try again later.
      required:
        - type
        - code
        - message

````